Index: trunk/kernel/mm/mapper.c
===================================================================
--- trunk/kernel/mm/mapper.c	(revision 14)
+++ trunk/kernel/mm/mapper.c	(revision 18)
@@ -105,5 +105,5 @@
         page = (page_t *)grdxt_get_first( &mapper->radix , start_index , &found_index );
 
-        if( page != NULL ) 
+        if( page != NULL )
         {
             // remove page from mapper and release to PPM
@@ -127,5 +127,5 @@
 
     return 0;
- 
+
 }  // end mapper_destroy()
 
@@ -147,5 +147,5 @@
     page = (page_t *)grdxt_lookup( &mapper->radix , index );
 
-    // test if page available in mapper 
+    // test if page available in mapper
     if( ( page == NULL) || page_is_flag( page , PG_INLOAD ) )  // page not available            /
     {
@@ -167,5 +167,5 @@
             req.flags = AF_NONE;
             page = kmem_alloc( &req );
-      
+
             if( page == NULL )
             {
@@ -190,5 +190,5 @@
             rwlock_wr_unlock( &mapper->lock );
 
-            if( error ) 
+            if( error )
             {
                 printk("\n[ERROR] in %s : thread %x cannot insert page in mapper\n",
@@ -201,5 +201,5 @@
                 return NULL;
             }
-        
+
             // launch I/O operation to load page from file system
             error = mapper_updt_page( mapper , index , page );
@@ -236,13 +236,13 @@
                 if(  page_is_flag( page , PG_INLOAD ) ) break;
 
-                // deschedule 
+                // deschedule
                 sched_yield();
             }
-         
+
         }
 
         return page;
     }
-    else 
+    else
     {
          // release lock from READ_MODE
@@ -268,5 +268,5 @@
         return EIO;
     }
-        
+
     // take mapper lock in WRITE_MODE
     rwlock_wr_lock( &mapper->lock );
@@ -331,5 +331,5 @@
     rwlock_wr_unlock( &mapper->lock );
 
-    // release page lock 
+    // release page lock
     page_unlock( page );
 
@@ -339,5 +339,5 @@
         return EIO;
     }
-	
+
     return 0;
 }  // end mapper_updt_page
@@ -364,5 +364,5 @@
     }
 
-	if( page_is_flag( page , PG_DIRTY ) ) 
+	if( page_is_flag( page , PG_DIRTY ) )
 	{
         // get file system type and inode pointer
@@ -388,5 +388,5 @@
         rwlock_rd_unlock( &mapper->lock );
 
-        // release page lock 
+        // release page lock
         page_unlock( page );
 
@@ -396,9 +396,9 @@
             return EIO;
         }
-    
+
         // clear dirty bit
 		page_undo_dirty( page );
      }
-	
+
     return 0;
 
@@ -408,5 +408,5 @@
 // This static function is called by the mapper_move fragments() function.
 // It moves one fragment between an user buffer and the kernel mapper.
-// Implementation Note: It can require access to one or two pages in mapper: 
+// Implementation Note: It can require access to one or two pages in mapper:
 //  [max_page_index == min_page_index]     <=>  fragment fit in one mapper page
 //  [max_page index == min_page_index + 1] <=>  fragment spread on two mapper pages
@@ -416,22 +416,22 @@
                                          fragment_t * fragment )
 {
-    uint32_t   size;                 // number of bytes in fragment 
+    uint32_t   size;                 // number of bytes in fragment
     cxy_t      buf_cxy;              // cluster identifier for user buffer
     uint8_t  * buf_ptr;              // local pointer on first byte in user buffer
-    
+
     xptr_t     xp_buf;               // extended pointer on byte in user buffer
     xptr_t     xp_map;               // extended pointer on byte in kernel mapper
 
-    uint32_t   min_file_offset;      // offset of first byte in file 
-    uint32_t   max_file_offset;      // offset of last byte in file    
+    uint32_t   min_file_offset;      // offset of first byte in file
+    uint32_t   max_file_offset;      // offset of last byte in file
 
     uint32_t   first_page_index;     // index of first page in mapper
-    uint32_t   first_page_offset;    // offset of first byte in first page in mapper    
-    uint32_t   first_page_size;      // offset of first byte in first page in mapper    
-
-    uint32_t   second_page_index;    // index of last page in mapper    
-    uint32_t   second_page_offset;   // offset of last byte in last page in mapper    
-    uint32_t   second_page_size;     // offset of last byte in last page in mapper    
- 
+    uint32_t   first_page_offset;    // offset of first byte in first page in mapper
+    uint32_t   first_page_size;      // offset of first byte in first page in mapper
+
+    uint32_t   second_page_index;    // index of last page in mapper
+    uint32_t   second_page_offset;   // offset of last byte in last page in mapper
+    uint32_t   second_page_size;     // offset of last byte in last page in mapper
+
     page_t   * page;                 // pointer on one page descriptor in mapper
     uint8_t  * map_ptr;              // local pointer on first byte in mapper
@@ -448,5 +448,5 @@
         return EINVAL;
     }
-    
+
     // compute offsets of first and last bytes in file
     min_file_offset = fragment->file_offset;
@@ -459,5 +459,5 @@
     if ( first_page_index == second_page_index )  // only one page in mapper
     {
-        // compute offset and size for page in mapper 
+        // compute offset and size for page in mapper
         first_page_offset = min_file_offset & (1<<CONFIG_PPM_PAGE_SHIFT);
         first_page_size   = size;
@@ -499,5 +499,5 @@
         // compute local pointer on first byte in first page in mapper
         map_ptr = (uint8_t *)ppm_page2base(page) + first_page_offset;
-    
+
         // compute extended pointers
         xp_map = XPTR( local_cxy , map_ptr );
@@ -517,5 +517,5 @@
         // compute offset and size for second page in mapper
         second_page_offset = 0;
-        second_page_size   = size - first_page_size;  
+        second_page_size   = size - first_page_size;
 
         // get pointer on second page in mapper
@@ -526,5 +526,5 @@
         // compute local pointer on first byte in second page in mapper
         map_ptr = (uint8_t *)ppm_page2base( page ) + second_page_offset;
-    
+
         // compute extended pointers
         xp_map = XPTR( local_cxy , map_ptr );
@@ -573,5 +573,5 @@
         frags_array = client_frags;
     }
-    else                           // make a local copy of fragments array 
+    else                           // make a local copy of fragments array
     {
         hal_remote_memcpy( XPTR( local_cxy , local_frags ) , xp_frags ,
